> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/tasks/tasks.md).

# Tasks

## List All Tasks

> Returns a list of existing, non-archived tasks for a specific program.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Tasks","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks":{"get":{"summary":"List All Tasks","description":"Returns a list of existing, non-archived tasks for a specific program.","operationId":"listTasks","tags":["Tasks"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"description":"The ID of the program to retrieve tasks from.","schema":{"type":"integer"}},{"name":"Type","in":"query","description":"Filter tasks by one or more comma-separated task types. For compliance violations, use COMPLIANCE. Values match the Type field in the Task response.","schema":{"type":"string"}},{"name":"SubtypeName","in":"query","description":"Filter tasks by one or more comma-separated subtype names. Requires the Type parameter. For compliance violations, common values are Search, Promo, Social, and Content. Passing an unrecognized subtype returns a validation error.","schema":{"type":"string"}},{"name":"DateCreatedAfter","in":"query","description":"Only return tasks created on or after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"DateCreatedBefore","in":"query","description":"Only return tasks created on or before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"DateLastUpdatedBefore","in":"query","description":"Only return tasks updated before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"DateLastUpdatedAfter","in":"query","description":"Only return tasks updated after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"A paginated list of task objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Tasks":{"type":"array","description":"The list of task objects.","items":{"$ref":"#/components/schemas/Task"}}}}}}}}}}},"components":{"schemas":{"Task":{"type":"object","properties":{"Id":{"type":"string"},"Reference":{"$ref":"#/components/schemas/TaskReference","description":"Identifies the partner by ID and custom values."},"Details":{"$ref":"#/components/schemas/TaskDetails","description":"Title of the request."},"Attachments":{"type":"array","items":{"$ref":"#/components/schemas/Attachment"},"description":"Details about each attachment."},"DueDate":{"type":"string","format":"date-time","description":"Date and time at which the task is due. Displayed in ISO 8601 format."},"AssigneeUser":{"$ref":"#/components/schemas/User","description":"Name of the user of the partner account that the task is assigned to."},"AssigneeAccount":{"type":"string","description":"Name of the partner account that the task is assigned to."},"TotalActions":{"type":"integer","description":"Total number of actions that have been recorded for this task."},"Actions":{"type":"array","description":"Describes actions that have occurred on this task.","items":{}},"TotalComments":{"type":"integer","description":"Total number of comments that have been recorded for this task."},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/Comment"},"description":"Details about each comment on this task."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the task was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the task was last updated."},"CreatedBy":{"$ref":"#/components/schemas/User","description":"Name of the user that created the task."},"LastUpdatedBy":{"$ref":"#/components/schemas/User","description":"Name of the user that last updated the task."}}},"TaskReference":{"type":"object","properties":{"PartnerId":{"type":"integer","description":"Unique identifier of the partner this task is about."},"PartnerValue1":{"type":"string","description":"Custom partner tracking value 1."},"PartnerValue2":{"type":"string","description":"Custom partner tracking value 2."},"PartnerValue3":{"type":"string","description":"Custom partner tracking value 3."}}},"TaskDetails":{"type":"object","properties":{"Summary":{"type":"string"},"Description":{"type":"string"},"Urgent":{"type":"boolean"},"State":{"type":"string","enum":["NEW","INPROGRESS","DUPLICATE","INVALID","BLOCKED","COMPLETED","APPROVED"]},"Type":{"type":"string","enum":["COMPLIANCE","TECHNICAL","GENERAL","CREATIVE","FINANCE","CONTRACTS","ANALYTICS","MONITORING"]},"SubtypeId":{"type":"string","nullable":true},"SubtypeName":{"type":"string","nullable":true},"ResolutionId":{"type":"string","nullable":true},"ResolutionName":{"type":"string","nullable":true}}},"Attachment":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the attachment."},"Filename":{"type":"string","description":"Original filename of the attachment."},"Location":{"type":"string","format":"uri","description":"URL to download the attachment."}}},"User":{"type":"object","properties":{"Username":{"type":"string","description":"The user's username."},"EmailAddress":{"type":"string","format":"email","description":"The user's email address."}}},"Comment":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the comment."},"Comment":{"type":"string","description":"The comment text."},"Commenter":{"type":"string","description":"Name of the user who posted the comment."},"Attachments":{"type":"array","description":"Details about each attachment on the comment.","items":{"$ref":"#/components/schemas/Attachment"}}}}}}}
```

## Get Task Details

> Retrieves the details of an existing task by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Tasks","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks/{TaskId}":{"get":{"summary":"Get Task Details","description":"Retrieves the details of an existing task by its unique ID.","operationId":"getTaskById","tags":["Tasks"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"TaskId","in":"path","required":true,"description":"The unique identifier for the task.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single task object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}}}}}},"components":{"schemas":{"Task":{"type":"object","properties":{"Id":{"type":"string"},"Reference":{"$ref":"#/components/schemas/TaskReference","description":"Identifies the partner by ID and custom values."},"Details":{"$ref":"#/components/schemas/TaskDetails","description":"Title of the request."},"Attachments":{"type":"array","items":{"$ref":"#/components/schemas/Attachment"},"description":"Details about each attachment."},"DueDate":{"type":"string","format":"date-time","description":"Date and time at which the task is due. Displayed in ISO 8601 format."},"AssigneeUser":{"$ref":"#/components/schemas/User","description":"Name of the user of the partner account that the task is assigned to."},"AssigneeAccount":{"type":"string","description":"Name of the partner account that the task is assigned to."},"TotalActions":{"type":"integer","description":"Total number of actions that have been recorded for this task."},"Actions":{"type":"array","description":"Describes actions that have occurred on this task.","items":{}},"TotalComments":{"type":"integer","description":"Total number of comments that have been recorded for this task."},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/Comment"},"description":"Details about each comment on this task."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the task was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the task was last updated."},"CreatedBy":{"$ref":"#/components/schemas/User","description":"Name of the user that created the task."},"LastUpdatedBy":{"$ref":"#/components/schemas/User","description":"Name of the user that last updated the task."}}},"TaskReference":{"type":"object","properties":{"PartnerId":{"type":"integer","description":"Unique identifier of the partner this task is about."},"PartnerValue1":{"type":"string","description":"Custom partner tracking value 1."},"PartnerValue2":{"type":"string","description":"Custom partner tracking value 2."},"PartnerValue3":{"type":"string","description":"Custom partner tracking value 3."}}},"TaskDetails":{"type":"object","properties":{"Summary":{"type":"string"},"Description":{"type":"string"},"Urgent":{"type":"boolean"},"State":{"type":"string","enum":["NEW","INPROGRESS","DUPLICATE","INVALID","BLOCKED","COMPLETED","APPROVED"]},"Type":{"type":"string","enum":["COMPLIANCE","TECHNICAL","GENERAL","CREATIVE","FINANCE","CONTRACTS","ANALYTICS","MONITORING"]},"SubtypeId":{"type":"string","nullable":true},"SubtypeName":{"type":"string","nullable":true},"ResolutionId":{"type":"string","nullable":true},"ResolutionName":{"type":"string","nullable":true}}},"Attachment":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the attachment."},"Filename":{"type":"string","description":"Original filename of the attachment."},"Location":{"type":"string","format":"uri","description":"URL to download the attachment."}}},"User":{"type":"object","properties":{"Username":{"type":"string","description":"The user's username."},"EmailAddress":{"type":"string","format":"email","description":"The user's email address."}}},"Comment":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the comment."},"Comment":{"type":"string","description":"The comment text."},"Commenter":{"type":"string","description":"Name of the user who posted the comment."},"Attachments":{"type":"array","description":"Details about each attachment on the comment.","items":{"$ref":"#/components/schemas/Attachment"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://integrations.impact.com/brand-api-reference/reference/tasks/tasks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
